All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.support.tableview
Interface TableViewAreaInterface

All Known Subinterfaces:
  SwingTableViewAreaInterface

All Known Implementing Classes:
  BaseTableViewSupport, HttpRelationalActionStrategyFactory, HttpRelationalActionUtil, HttpRemoteFileActionStrategyFactory, HttpRemoteFileSelectorTableViewSupport, HttpTableViewSupport, RelationalActionUtil, SwingRelationalActionStrategyFactory, SwingTableViewSupport

    public interface TableViewAreaInterface

Field Summary
`static java.lang.String` | `COLUMN_HEADER_AREA` The areaType key used to define the column headers area of a table view.
`static java.lang.String` | `DATA_CELL_AREA` The areaType key used to define the data cells area of a table view.
`static java.lang.String` | `EDIT_COLUMN_AREA` The areaType key used to define the column which contains the edit actions for the TableView.
`static java.lang.String` | `EDIT_ROW_AREA` The areaType key used to define the row which contains the edit actions for the TableView.
`static java.lang.String` | `ROW_HEADER_AREA` The areaType key used to define the row headers area of a table view.
`static java.lang.String` | `TITLE_AREA` The areaType key used to define the corner area of a table view above the row headers and to the left of the column headers.

Field Detail

### TITLE_AREA

    static final java.lang.String TITLE_AREA

  The areaType key used to define the corner area of a table view above the row headers and to the left of the column headers.

  See Also:
    Constant Field Values

### ROW_HEADER_AREA

    static final java.lang.String ROW_HEADER_AREA

  The areaType key used to define the row headers area of a table view.

  See Also:
    Constant Field Values

### COLUMN_HEADER_AREA

    static final java.lang.String COLUMN_HEADER_AREA

  The areaType key used to define the column headers area of a table view.

  See Also:
    Constant Field Values

### DATA_CELL_AREA

    static final java.lang.String DATA_CELL_AREA

  The areaType key used to define the data cells area of a table view.

  See Also:
    Constant Field Values

### EDIT_COLUMN_AREA

    static final java.lang.String EDIT_COLUMN_AREA

  The areaType key used to define the column which contains the edit actions for the TableView. This is used primary in the http TableViews.

  See Also:
    Constant Field Values

### EDIT_ROW_AREA

    static final java.lang.String EDIT_ROW_AREA

  The areaType key used to define the row which contains the edit actions for the TableView. This is used primary in the http TableViews.

  See Also:
    Constant Field Values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.